<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="https://www.thymeleaf.org">

<head><th:block th:include="fragments :: head"/>
    <link href="https://getbootstrap.com/docs/4.0/examples/grid/grid.css" rel="stylesheet">
    <link href="https://getbootstrap.com/docs/4.0/examples/checkout/form-validation.css" rel="stylesheet">
</head>

<body>
<header th:include="fragments :: fixed-navbar"></header>

<div th:replace="fragments :: validation"></div>

<div class="container">
    <form action="#" th:action="@{/cost/add}" th:object="${addCostForm}" method="post">
        <h4 class="mb-3">Add cost</h4>
        <div class="row">
            <label for="sum">Sum</label>
            <input th:field="*{sum}" type="text" id="sum" class="form-control" placeholder="Sum of cost" required
                   autofocus>
            <span style="color:red" th:each="err : ${#fields.errors('sum')}" th:text="${err}"></span>
        </div>
        <div class="row">
            <label for="date">Date</label>
            <input th:field="*{date}" type="date" id="date" class="form-control" th:max="${date}"
                   pattern="\d{4}-\d{2}-\d{2}" required autofocus>
            <span style="color:red" th:each="err : ${#fields.errors('date')}" th:text="${err}"></span>
        </div>
        <div class="row">
            <button class="btn btn-lg btn-primary btn-block" type="submit">Add cost</button>
        </div>
    </form>
</div>

</body>
</html>